GNU Radio's FOSPHOR Package

Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
gr::fosphor::qt_sink_c Class Referenceabstract
Fosphor

Qt version of fosphor sink. More...

`#include <qt_sink_c.h>`

Inheritance diagram for gr::fosphor::qt_sink_c:
[legend]

## Public Types
typedef boost::shared_ptr< qt_sink_c > | sptr
Public Types inherited from gr::fosphor::base_sink_c
enum | ui_action_t { DB_PER_DIV_UP , DB_PER_DIV_DOWN , REF_UP , REF_DOWN , ZOOM_TOGGLE , ZOOM_WIDTH_UP , ZOOM_WIDTH_DOWN , ZOOM_CENTER_UP , ZOOM_CENTER_DOWN , RATIO_UP , RATIO_DOWN , FREEZE_TOGGLE }

## Public Member Functions
virtual void | exec_ ()=0
virtual QWidget * | qwidget ()=0
virtual void * | pyqwidget ()=0
Public Member Functions inherited from gr::fosphor::base_sink_c
virtual void | execute_ui_action (enum ui_action_t action)=0
virtual void | set_frequency_range (const double center, const double span)=0
virtual void | set_frequency_center (const double center)=0
virtual void | set_frequency_span (const double span)=0
virtual void | set_fft_window (const gr::fft::window::win_type win)=0

## Static Public Member Functions
static sptr | make (QWidget *parent=NULL)
| Return a shared_ptr to a new instance of fosphor::qt_sink_c. More...

## Public Attributes
QApplication * | d_qApplication

## Additional Inherited Members
Protected Member Functions inherited from gr::fosphor::base_sink_c
| base_sink_c (const char *name=NULL)

## Detailed Description

Qt version of fosphor sink.

## Member Typedef Documentation

## ◆ sptr

typedef boost::shared_ptr<qt_sink_c> gr::fosphor::qt_sink_c::sptr

## Member Function Documentation

## ◆ exec_()

virtual void gr::fosphor::qt_sink_c::exec_ | ( |  | ) |
| pure virtual

Implemented in gr::fosphor::qt_sink_c_impl.

## ◆ make()

static sptr gr::fosphor::qt_sink_c::make | ( | QWidget * | parent = `NULL` | ) |
| static

Return a shared_ptr to a new instance of fosphor::qt_sink_c.

To avoid accidental use of raw pointers, fosphor::qt_sink_c's constructor is in a private implementation class. fosphor::qt_sink_c::make is the public interface for creating new instances.

## ◆ pyqwidget()

virtual void * gr::fosphor::qt_sink_c::pyqwidget | ( |  | ) |
| pure virtual

Implemented in gr::fosphor::qt_sink_c_impl.

## ◆ qwidget()

virtual QWidget * gr::fosphor::qt_sink_c::qwidget | ( |  | ) |
| pure virtual

Implemented in gr::fosphor::qt_sink_c_impl.

## Member Data Documentation

## ◆ d_qApplication

QApplication* gr::fosphor::qt_sink_c::d_qApplication

The documentation for this class was generated from the following file:

- qt_sink_c.h